XmVaCreateFileSelectionBox(3)

NAME
XmVaCreateFileSelectionBox, XmVaCreateManagedFileSelectionBox — A FileSelectionBox widget convenience creation functions.

SYNOPSIS

#include <Xm/FileSB.h>

Widget XmVaCreateFileSelectionBox(
Widget parent,
String name,
...);

Widget XmVaCreateManagedFileSelectionBox(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a FileSelectionBox widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateFileSelectionBox function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedFileSelectionBox function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of FileSelectionBox and its associated resources, see XmFileSelectionBox(3).

RETURN

Returns the FileSelectionBox widget ID.

RELATED

XmCreateFileSelectionBox(3), XtCreateManagedWidget(3), XtCreateWidget(3), and XmFileSelectionBox(3).